### Method

# Pango.LayoutIter.get_char_extents

#### Declaration [src]

    void
    pango_layout_iter_get_char_extents (
      PangoLayoutIter* iter,
      PangoRectangle* logical_rect
    )

#### Description [src]

Gets the extents of the current character, in layout coordinates (origin is the top left of the entire layout). Only logical extents can sensibly be obtained for characters; ink extents make sense only down to the level of clusters.

#### Parameters

`logical_rect` | `PangoRectangle`
| rectangle to fill with logical extents
| Direction: out
| Ownership is not transferred to the callee